/**********************************************************************
Copyright (c) 2002 Mike Martin and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco;

import org.jpox.store.fieldmanager.AbstractFieldManager;

/**
 * Utility class to handle the unsetting of owner fields.
 *
 * @version $Revision: 1.1 $
 **/
public class UnsetOwners extends AbstractFieldManager
{
    public void storeObjectField(int fieldNumber, Object value)
    {
        if (value instanceof SCO)
        {
            ((SCO)value).unsetOwner();
        }
    }
}
