/******************************************************************
 * Copyright (c) 2004 Andy Jefferson and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the JPOX License v1.0
 * which accompanies this distribution. 
 *
 * Contributors:
 *     ...
 *****************************************************************/
package org.jpox.store.exceptions;

import javax.jdo.JDOFatalUserException;

/**
 * Representation of an error encountered initialising a datastore.
 * 
 * @version $Revision: 1.1 $
 */
public class DatastoreInitialisationException extends JDOFatalUserException
{
    /**
     * Constructor for an exception with a message.
     * @param msg the detail message
     */
    public DatastoreInitialisationException(String msg)
    {
        super(msg);
    }
}