/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others.
All rights reserved.   This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.expression;

import java.util.List;

import org.jpox.store.mapping.JavaTypeMapping;
import org.jpox.store.query.QueryStatement;

/**
 * Representation of a Short expression in a Query.
 *
 * @version $Revision: 1.3 $
 **/
public class ShortExpression extends NumericExpression
{
    
    public ShortExpression(QueryStatement qs)
    {
        super(qs);
    }

    public ShortExpression(QueryStatement qs, JavaTypeMapping mapping, TableExpression te)
    {
        super(qs, mapping, te);
    }

    public ShortExpression(String functionName, List args)
    {
        super(functionName, args);
    }

    public ShortExpression(MonadicOperator op, ScalarExpression operand)
    {
        super(op, operand);
    }

    public ShortExpression(ScalarExpression operand1, DyadicOperator op, ScalarExpression operand2)
    {
        super(operand1, op, operand2);
    }
}
