/**********************************************************************
Copyright (c) 2002 Kelly Grizzle (TJDO) and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2002 Mike Martin (TJDO)
2003 Andy Jefferson - coding standards
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * Mapping for Set, building on Collection mapping.
 *
 * @version $Revision: 1.1 $
 **/
public class SetMapping extends CollectionMapping
{
    public SetMapping(DatastoreAdapter dba, Class type) 
    { 
        super(dba, type); 
    } 
    
    public SetMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    protected java.util.Collection newSet(StateManager sm, String fieldName)
    {
        return new org.jpox.sco.Set(sm, fieldName);
    }
}
