/**********************************************************************
Copyright (c) 22-Oct-2004 andy and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.mapping;

/**
 * Mapping manager for the Firebird RDBMS.
 * 
 * @version $Revision: 1.1 $
 */
public class FirebirdRDBMSMappingManager extends RDBMSMappingManager
{
    public void initialise()
    {
        super.initialise();

        // Firebird doesnt support BIT
        deregisterDatastoreMappingsForJavaType(boolean.class.getName());
        deregisterDatastoreMappingsForJavaType(Boolean.class.getName());
        registerDatastoreMapping(boolean.class.getName(),CharRDBMSMapping.class,"CHAR","CHAR");
        registerDatastoreMapping(Boolean.class.getName(),CharRDBMSMapping.class,"CHAR","CHAR");
    }
}
