/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved.
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution.

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.mapping;

/**
 * Mapping manager for PostgreSQL datastores. Overrides some of the types in the default manager.
 * @version $Revision: 1.1 $
 */
public class HSQLRDBMSMappingManager extends RDBMSMappingManager
{
    public void initialise()
    {
        super.initialise();

        // HSQL doesnt support BIT
        deregisterDatastoreMappingsForJavaType(boolean.class.getName());
        registerDatastoreMapping(boolean.class.getName(),CharRDBMSMapping.class,"BOOLEAN","BOOLEAN", true);

        deregisterDatastoreMappingsForJavaType(Boolean.class.getName());
        registerDatastoreMapping(Boolean.class.getName(), CharRDBMSMapping.class,"BOOLEAN","BOOLEAN", true);
    }
}
