/**********************************************************************
Copyright (c) 2004 Andy Jefferson and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.scostore;

import org.jpox.store.StoreManager;

/**
 * Interface representation of the backing store for a Collection or Map.
 *
 * @version $Revision: 1.1 $
 **/
public interface Store
{
    // --------------------------- Accessor Methods ----------------------------
 
    /**
     * Accessor for the Store Manager.
     * @return Store Manager.
     **/
    StoreManager getStoreManager();

}
