/**********************************************************************
Copyright (c) 2004 Erik Bengtson and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
2005 Andy Jefferson - split into own file
    ...
**********************************************************************/
package org.jpox.state;

/**
 * Class representing the life cycle state of DetachedClean.
 *
 * @version $Revision: 1.1 $
 **/
class DetachedClean extends LifeCycleState
{
    /** Protected Constructor to prevent external instantiation. */
    protected DetachedClean()
    {
        isPersistent = false;           
        isDirty = false;
        isNew = false;
        isDeleted = false;
        isTransactional = false;

        stateType = DETACHED_CLEAN;
    }
}