/**********************************************************************
Copyright (c) 2005 Andy Jefferson and others. All rights reserved. 
This program and the accompanying materials are made available under
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.state;

/**
 * Class representing the life cycle state of DetachedDirty.
 *
 * @version $Revision: 1.1 $
 **/
class DetachedDirty extends LifeCycleState
{
    /** Protected Constructor to prevent external instantiation. */
    protected DetachedDirty()
    {
        isPersistent = false;           
        isDirty = true;
        isNew = false;
        isDeleted = false;
        isTransactional = false;

        stateType = DETACHED_DIRTY;
    }
}