/**********************************************************************
Copyright (c) 2002 TJDO and others.
All rights reserved. This program and the accompanying materials
are made available under the terms of the JPOX License v1.0
which accompanies this distribution. 

Contributors:
    Erik Bengtson - extends ObjectIdFieldManager
    ...
**********************************************************************/

package org.jpox.store.fieldmanager;

/**
 * Provide methods to fetch from and to the PersistenceCapable object
 * instance to the StateManager / DataStore
 * 
 * @see javax.jdo.spi.PersistenceCapable.ObjectIdFieldManager
 * @version $Revision: 1.1 $ 
 */
public interface FieldManager extends javax.jdo.spi.PersistenceCapable.ObjectIdFieldManager
{
	/*
	 * extends javax.jdo.spi.PersistenceCapable.ObjectIdFieldManager
	 * which provides methods for fetch and store fields from the PC instance  
	 */
}
