/**********************************************************************
Copyright (c) 2005 Andy Jefferson and others. All rights reserved. 
This program and the accompanying materials are made available under 
the terms of the JPOX License v1.0 which accompanies this distribution. 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.mapping;

import org.jpox.StateManager;
import org.jpox.metadata.FieldMetaData;
import org.jpox.store.DatastoreAdapter;
import org.jpox.store.DatastoreClass;

/**
 * SCO Mapping for LinkedHashSet type.
 *
 * @version $Revision: 1.1 $
 **/
public class LinkedHashSetMapping extends SetMapping
{
    public LinkedHashSetMapping(DatastoreAdapter dba, Class type)
    {
        super(dba, type);
    }

    public LinkedHashSetMapping(DatastoreAdapter dba, FieldMetaData fmd, DatastoreClass table)
    {
        super(dba, fmd, table);
    }

    protected java.util.Collection newSet(StateManager sm, String fieldName)
    {
        return new org.jpox.sco.LinkedHashSet(sm, fieldName);
    }
}